#include <stdio.h>
#include <stdlib.h>

int main()
{
   int a,b,brojac,c,d,e,f,g,h,i,j,k,l,m;
   scanf("%d",&a);
   brojac=0;

   b=a%10;
   switch(b)
   {
       case 1:case 2:case 5:brojac+=1;break;
       case 3:case 4:case 6:case 7:brojac+=2;break;
       case 0:brojac+=0;break;
       case 8:case 9:brojac+=3;break;
   }
   c=a/10%10;
   switch(c)
   {
       case 1:case 2:case 5:brojac+=1;break;
       case 3:case 4:case 6:case 7:brojac+=2;break;
       case 0:brojac+=0;break;
       case 8:case 9:brojac+=3;break;
   }
   d=(a/100)%10;
   switch(d)
   {
       case 1:case 2:case 5:brojac+=1;break;
       case 3:case 4:case 6:case 7:brojac+=2;break;
       case 0:brojac+=0;break;
       case 8:case 9:brojac+=3;break;
   }
   e=(a/1000)%10;
   switch(e)
   {
       case 1:case 2:case 5:brojac+=1;break;
       case 3:case 4:case 6:case 7:brojac+=2;break;
       case 0:brojac+=0;break;
       case 8:case 9:brojac+=3;break;
   }
   f=(a/10000)%10;
   switch(f)
   {
       case 1:case 2:case 5:brojac+=1;break;
       case 3:case 4:case 6:case 7:brojac+=2;break;
       case 0:brojac+=0;break;
       case 8:case 9:brojac+=3;break;
   }
   g=(a/100000)%10;
   switch(g)
   {
       case 1:case 2:case 5:brojac+=1;break;
       case 3:case 4:case 6:case 7:brojac+=2;break;
       case 0:brojac+=0;break;
       case 8:case 9:brojac+=3;break;
   }
   h=(a/1000000)%10;
   switch(h)
   {
       case 1:case 2:case 5:brojac+=1;break;
       case 3:case 4:case 6:case 7:brojac+=2;break;
       case 0:brojac+=0;break;
       case 8:case 9:brojac+=3;break;
   }
   i=(a/10000000)%10;
   switch(i)
   {
       case 1:case 2:case 5:brojac+=1;break;
       case 3:case 4:case 6:case 7:brojac+=2;break;
       case 0:brojac+=0;break;
       case 8:case 9:brojac+=3;break;
   }
   j=(a/100000000)%10;
   switch(j)
   {
       case 1:case 2:case 5:brojac+=1;break;
       case 3:case 4:case 6:case 7:brojac+=2;break;
       case 0:brojac+=0;break;
       case 8:case 9:brojac+=3;break;
   }
   k=(a/1000000000)%10;
   switch(k)
   {
       case 1:case 2:case 5:brojac+=1;break;
       case 3:case 4:case 6:case 7:brojac+=2;break;
       case 0:brojac+=0;break;
       case 8:case 9:brojac+=3;break;
   }
   l=(a/10000000000)%10;
   switch(l)
   {
       case 1:case 2:case 5:brojac+=1;break;
       case 3:case 4:case 6:case 7:brojac+=2;break;
       case 0:brojac+=0;break;
       case 8:case 9:brojac+=3;break;
   }
   m=(a/100000000000)%10;
   switch(m)
   {
       case 1:case 2:case 5:brojac+=1;break;
       case 3:case 4:case 6:case 7:brojac+=2;break;
       case 0:brojac+=0;break;
       case 8:case 9:brojac+=3;break;
   }
   printf("%d",brojac);
}